Skip to main content
POST
/
rooms
/
{room_name}
/
recordings
/
update
rooms/:name/recordings/update
curl --request POST \
  --url https://api.daily.co/v1/rooms/{room_name}/recordings/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "width": 123,
  "height": 123,
  "fps": 123,
  "videoBitrate": 123,
  "audioBitrate": 123,
  "minIdleTimeOut": 123,
  "maxDuration": 123,
  "backgroundColor": "<string>",
  "instanceId": "<string>",
  "type": "<string>",
  "layout": {
    "preset": "default",
    "max_cam_streams": 123
  }
}
'
{
  "status": "sent"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

room_name
string
required

Body

application/json
width
number

Property that specifies the output width of the given stream.

height
number

Property that specifies the output height of the given stream.

fps
number

Property that specifies the video frame rate per second.

videoBitrate
number

Property that specifies the video bitrate for the output video in kilobits per second (kbps).

audioBitrate
number

Property that specifies the audio bitrate for the output audio in kilobits per second (kbps).

minIdleTimeOut
number

Amount of time in seconds to wait before ending a recording or live stream when the room is idle (e.g. when all users have muted video and audio). Default: 300 (seconds). Note: Once the timeout has been reached, it typically takes an additional 1-3 minutes for the recording or live stream to be shut down.

maxDuration
number

Maximum duration in seconds after which recording/streaming is forcefully stopped. Default: `15000` seconds (3 hours). This is a preventive circuit breaker to prevent billing surprises in case a user starts recording/streaming and leaves the room.

backgroundColor
string

Specifies the background color of the stream, formatted as #rrggbb or #aarrggbb string.

instanceId
string

UUID for a streaming or recording session. Used when multiple streaming or recording sessions are running for single room.

type
string

specify type of recording (cloud, raw-tracks, local) to start. Particular recording type must be enabled for the room or domain with enable_recording property.

layout
DailyStreamingLayoutConfig · object

An object specifying the way participants’ videos are laid out in the live stream. See given layout configs for description of fields. Preset must be defined.

Response

200